# MeshAI SDK
<picture align="center">
    <source media="(prefers-color-scheme: dark)" srcset="./assets/meshai-high-resolution-logo.png">
    <img alt="MeshAI Logo" src="./assets/meshai-high-resolution-logo.png">
</picture>

## What is it?

MeshAI SDK is an open-source toolkit designed to decentralize artificial intelligence within organizations, aligning with the data mesh paradigm. It empowers individual teams to develop, train, and maintain their own AI models, enhancing data integration, autonomy, scalability, and flexibility.

## Features

### Currently Implemented

- **Domain-Oriented AI Ownership**: Assign AI agents to specific business domains using the `DomainManager`.
- **Governance and Compliance**: Ensure adherence to standards with integrated logging and audit trails.
- **Support for Multiple Data Types**: Handle text, images, numerical data, and more.
- **Pre-trained Model Integration**: Easily load and fine-tune pre-trained models from popular libraries like Hugging Face Transformers and torchvision.
- **Custom Model Support**: Allow users to integrate their own models and architectures.
- **Extensibility**: Modular design allows for easy addition of new features and data handlers.

### Upcoming Features

- **Data Proximity**: Deploy AI agents close to data sources with provided deployment tools and guidelines.
- **Interoperability**: Facilitate communication between AI agents across domains.
- **Scalability and Flexibility**: Enable scalable AI development with distributed training capabilities.

## Installation

You can install the MeshAI SDK from PyPI:

```bash
pip install meshai
